<html>
   <head>
      <meta http-equiv="Pragma" content="no-cache">
      <meta http-equiv='Content-Type' content='text/html; charset=UTF-8'>
      <link rel="stylesheet" type="text/css" href="/WmRoot/webMethods.css">
      <link rel="stylesheet" type="text/css" href="issprofiler.css">
      <title> IS Service Profiler - Dashboard - Browse Running Services - Thread Info </title>

      <style>
        <!--
        td.stackTraceElement
          {
          text-align: left;
          padding: 1px 0 1px 1em;
          background-color: #f8f8f8;
          border-bottom: 1px solid #dcdcdc;
          font-size: 7pt;
          }

        td.stackTraceElement span.separator
          {
          color: red;
          }

        td.stackTraceElement span.sourceFileName
          {
          color: #444;
          }

        td.stackTraceElement span.lineNumber
          {
          color: blue;
          }

        td.stackTraceElement span.methodName
          {
          color: #556b2f;
          font-weight: bold;
          }

        td.stackTraceElement span.methodInfo
          {
          display: block;
          text-indent: 3em;
          }
        -->
      </style>
      <script type="text/javascript">
         <!-- // Activate cloak
         function showThreadOwner(nodeId, pageNumber) {
            var xCurrentPageNumber = parent.bs_top.getCurrentPageNumber();

            if (xCurrentPageNumber == pageNumber)     // already in the right page
               parent.bs_top.openSingleNode(nodeId);
            else
               window.open("BrowseRunningServices-fs.dsp?nodeId=" + nodeId + "&pageNumber=" + pageNumber + "&includeJavaStackTrace=true", "body");
            }
         // Deactivate cloak -->
      </script>

   </head>

   <body style="border: 0;">
      <table width="100%"> <!-- this table is being used only to set a left identation to the child tables -->
         %ifvar id%
            %invoke wia.pub.issprofiler.ui.browseRunningServices:getThreadInfo%
            %onerror%
               <tr>
                  <td class="message" COLSPAN="2">
                     %value errorMessage%
                  </td>
               </tr>
            %end invoke%
         %end if%

         %ifvar message%
            <tr>
               <td class="message" colspan="2">
                  %value message%
               </td>
            </tr>
         %else%
            %ifvar ThreadInfo%
               %scope ThreadInfo%
                  <tr>
                     <td width="10">&nbsp;</td>
                     <td>
                        <table width="95%">
                           <tr>
                              <td class="columnHeading" colspan="4"> Thread </td>
                           </tr>
                           <tr></tr>
                           <tr>
                              <td class="rowlabel"  width="25%"> Id: </td>  <!-- also set the fixed reference-width of the column -->
                              <td class="evencol-l" colspan="3">
                                %value ThreadId%
                              </td>
                           </tr>
                           <tr>
                              <td class="rowlabel">              State: </td>
                              <td class="evencol-l" colspan="3"> %value State% </td>
                           </tr>
                           <tr>
                              <td class="rowlabel">              Suspended: </td>
                              <td class="evencol-l" colspan="3">
                                 %ifvar IsSuspended equals('true')%
                                    Yes
                                 %else%
                                    No
                                 %endfif%
                              </td>
                           </tr>
                        </table>
                        %ifvar LockOwnerId%
                          <br>
                          <table width="95%">
                             <tr>
                                <td class="columnHeading" colspan="4"> Locked </td>
                             </tr>
                             <tr></tr>
                             <tr>
                                <td class="rowlabel">              Lock Name: </td>
                                <td class="evencol-l" colspan="3"> %value LockName% </td>
                             </tr>
                             <tr>
                                <td class="rowlabel"  width="25%"> Owner Id: </td>  <!-- also set the fixed reference-width of the column -->
                                <td class="evencol-l" colspan="3">
                                  %ifvar LockOwnerXRef%
                                    <a href="javascript: showThreadOwner(%value LockOwnerXRef/nodeId%, %value LockOwnerXRef/pageNumber%);" >
                                      %value LockOwnerId%
                                    </a>
                                  %else%
                                    %value LockOwnerId%
                                  %endif%
                                </td>
                             </tr>
                             <tr>
                                <td class="rowlabel">              Owner Name: </td>
                                <td class="evencol-l" colspan="3"> %value LockOwnerName% </td>
                             </tr>
                           <tr>
                              <td class="rowlabel">                Deadlocked: </td>
                              <td class="evencol-l" colspan="3">
                                 %ifvar IsDeadlocked equals('true')%
                                    Yes
                                 %else%
                                    No
                                 %endfif%
                              </td>
                           </tr>
                          </table>
                        %endif%
                        %ifvar JavaStackTrace%
                           <br>
                           <table width="95%">
                              <tr>
                                 <td class="columnHeading">Java Stack Trace</td>
                              </tr>
                              <tr></tr>
                              %loop JavaStackTrace%
                                <tr>
                                   <td class="stackTraceElement">
                                      %value encode(none) html%
                                   </td>
                                </tr>
                              %endloop%
                           </table>
                        %endif%
                     </td>
                  </tr>
               %endscope%
            %endif%
         %endif%
      </table>
   </body>
</html>
