<html>
   <head>
      <meta http-equiv="Pragma"        content="no-cache">
      <meta http-equiv='Content-Type'  content='text/html; charset=UTF-8'>
      <link rel="stylesheet" type="text/css" href="/WmRoot/webMethods.css">
      <link rel="stylesheet" type="text/css" href="issprofiler.css">
      %invoke wia.pub.issprofiler.ui.util:getStyleMetadata%
         %loop StyleMetadata/additionalCssFiles%
            <link rel="stylesheet" type="text/css" href="%value%">
         %end%
      %end invoke%
      <title>IS Service Profiler - Dashboard - Code Coverage</title>
      <script type="text/javascript" src="/WmRoot/webMethods.js.txt"></script>
      <script type="text/javascript" src="scripts/wia4dsp.js"></script>
      <script type="text/javascript" src="tablesorter/tablesorter.js"></script>
   </head>
   <body style="border: 0;" onLoad="setNavigation('CodeCoverage.dsp', 'doc/OnlineHelp/PackageHelp.html#codecoverage', 'foo');">
      <table width="100%">
         <tr>
            <td class="menusection-Dashboard" colspan="2">Dashboard &gt; Code Coverage</td>
         </tr>
      </table>
      <p>
      <table width="100%"> <!-- this table is being used only to set a left identation to the child tables -->
         %invoke wia.pub.issprofiler.ui.codeCoverage:build%

            %ifvar message%
               <tr>
                  <td class="message" colspan="2">
                     %value message%
                  </td>
               </tr>
            %else%
               <tr>
                  <td width="10">&nbsp;</td>
                  <td>
                     <table name="Data Heading" width="100%">
                        %ifvar validationMessage%
                           <tr>
                              <td class="message" colspan="5">
                                 %value validationMessage%
                              </td>
                           </tr>
                           <tr> <td colspan="5"> &nbsp; </td> </tr>
                        %endif%
                        <tr class="heading">
                           <td colspan="5"> Snapshot Identification </td>
                        <tr>
                        <tr>
                           <td class="columnHeading">Sample Key  </td>
                           <td class="columnHeading">Server Name </td>
                           <td class="columnHeading">Begin Time  </td>
                           <td class="columnHeading">End Time    </td>
                           <td class="columnHeading-r" title="Max Thread Count">MTC</td>
                        </tr>
                        <tr>
                           <td class="oddrow-l">%value targetView/SampleKey      %</td>
                           <td class="oddrow-l">%value targetView/ServerName     %</td>
                           <td class="oddrow-l">%value targetView/SampleBeginTime%</td>
                           <td class="oddrow-l">%value targetView/SampleEndTime  %</td>
                           <td class="oddrow">%value targetView/MaxThreadCount   %</td>
                        </tr>
                     </table>
                     <br>
                     <table name="frmDataDetail" width="100%" sortable="true">
                        <thead>
                           <tr class="heading">
                              <td colspan="5">Snapshot Code Coverage</td>
                           </tr>
                           <form name="frmRefresh" method="post">
                              <tr class="oddrow-l">
                                 <td colspan="5">
                                    <table width="100%">
                                       <tr>
                                          <td width="300" align="right">
                                             Also show packages that <u>do not</u> contain Services:
                                          </td>
                                          <td align="left">
                                             <input TYPE="checkbox" name="alsoWithoutServices" %ifvar alsoWithoutServices equals('true')% checked %endif%>
                                          </td>
                                          <td width="26" align="right">
                                             %ifvar isLoadFromXMLFile equals('true')%
                                                <img src="images/snapshot-from-xml-file.gif" />
                                             %endif%
                                          </td>
                                          <td width="26" align="right">
                                             %ifvar frozen equals('true')%
                                                <img src="images/snapshot-frozen.gif" />
                                             %endif%
                                          </td>
                                       </tr>
                                    </table>
                                 </td>
                              </tr>

                              <tr class="oddrow-l">
                                 <td colspan="2">
                                    <input type="submit" name="action" value="Refresh">
                                 </td>
                                 <td class="highColumnHeading-c" colspan="3">Service Usage Ratio</td>
                              </tr>
                           </form>
                           <tr>
                              <td class="columnHeading"   sortable="true" width="50%">Package</td>
                              <td class="columnHeading-r" sortable="true" width="40" sortorder="desc" title="Service Count">&#931;</td>
                              <td class="columnHeading-c" sortable="true" width="40" sortorder="desc">%</td>
                              <td class="columnHeading-c">
                                 Used <img align="middle" src="images/ratio_used.gif"> / <img align="middle" src="images/ratio_unused.gif"> Unused
                              </td>
                              <td class="columnHeading-c" sortable="true" width="40" sortorder="desc">%</td>
                           </tr>
                        </thead>

                        <tbody>
                           <!-- Loop over the Service Details and print a line for each -->
                           %loop targetView/PackagesCoverage%
                              <tr>
                                 %ifvar HasServices equals('true')%
                                    <script type="text/javascript">
                                       writeTag_TD ( "<a href='CodeCoverageServices.dsp?packageName=%value Name%&usageType=any&alsoWithoutServices="
                                                   + document.frmRefresh.alsoWithoutServices.checked + "'>%value Name%</a>"
                                                                                       , "row-l"   , null, true );
                                       writeTag_TD("%value ServiceCount%"              , "row"     , null, false);
                                       writeTag_TD("%value UsedPercentage%"            , "rowdata" , null, false);
                                       writeTag_TD(getGaugeHTML(%value UsedPercentage%), "rowdata" , null, false);
                                       writeTag_TD("%value UnusedPercentage%"          , "rowdata" , null, false);
                                    </script>
                                 %else%
                                    <script type="text/javascript">
                                       writeTag_TD("%value Name%"                      , "row-l"   , null, true );
                                       writeTag_TD("%value ServiceCount%"              , "row"     , null, false);
                                       writeTag_TD("-"                                 , "rowdata" , null, false);
                                       writeTag_TD("No Services Defined"               , "rowdata" , null, false);
                                       writeTag_TD("-"                                 , "rowdata" , null, false);
                                    </script>
                                 %endif%
                                </script>
                              </tr>
                           %endloop%
                        <tbody>

                        <!-- Print table footer -->
                        <tfooter>
                           <tr>
                              <td class="columnFooter-r" colspan="5">&nbsp;</td>
                           </tr>
                        </tfooter>
                     </table>
                  </td>
               </tr>
            %endif%
         %onerror%
            <tr>
               <td class="message" colspan="2">
                  An error occurred trying to build the report data.
                  Check by executing the '%value errorService%' service on a browser.
                  The error details are as follows: <br><br>
                  %value errorMessage%
               </td>
            </tr>
         %endinvoke%
      </table>
   </body>
</html>
